import std.stdio;
import std.bitmanip: BitArray;
import std.array: array;
import std.algorithm;
import std.range: iota;
import std.format: format;

import day10: calcHash, getHash;

auto countBits(string input) {
  return iota(0,128).map!(
   i => BitArray(format("%s-%d", input, i).calcHash, 128).bitsSet.array.length
  ).sum;
}

void main(string[] args) {
  writeln(args[1].countBits);
}
